aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2011-06-10 11:20:34 -0700
committerBrian Behlendorf <[email protected]>2011-06-10 11:21:31 -0700
commitda88a7fbe8876437c25f1006f91ca5595659b8d2 (patch)
treec6314af321f0cb6bb9a4799bcfef26ac12d2bac0 /scripts
parent1b9d8c340f89ca00b0bc99bb0f8a532e2e7a3a1d (diff)
Pass -f option for import
If a pool was not cleanly exported passing the -f flag may be required at 'zpool import' time. Since this test is simply validating that the pool can be successfully imported in the absense of the cache file always pass the -f to ensure it succeeds. This failure was observed under RHEL6.1.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/zconfig.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/zconfig.sh b/scripts/zconfig.sh
index b24528ead..f635423dd 100755
--- a/scripts/zconfig.sh
+++ b/scripts/zconfig.sh
@@ -141,7 +141,7 @@ test_2() {
rm -f ${TMP_CACHE} || fail 5
${ZFS_SH} zfs="spa_config_path=${TMP_CACHE}" || fail 6
${ZPOOL} import | grep ${POOL_NAME} >/dev/null || fail 7
- ${ZPOOL} import ${POOL_NAME} || fail 8
+ ${ZPOOL} import -f ${POOL_NAME} || fail 8
${ZPOOL} status ${POOL_NAME} >${TMP_FILE2} || fail 9
cmp ${TMP_FILE1} ${TMP_FILE2} || fail 10